Bug 660645 - (ghc-monads-tf) Review Request: ghc-monads-tf - A library to provide Monad classes using type families
Review Request: ghc-monads-tf - A library to provide Monad classes using type...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-07 08:19 EST by Narasimhan
Modified: 2013-06-24 06:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2010-12-07 08:19:49 EST
rpmlint  -i ghc-monads-tf*.rpm ghc-monads-tf.spec ghc-monads-tf.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: E: devel-dependency ghc-monads-tf-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-monads-tf-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/monads-tf-0.1.0.0/libHSmonads-tf-0.1.0.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 33 warnings.
Comment 2 Narasimhan 2010-12-07 08:22:41 EST
The LICENSE file's first line states that the license is "The Glasgow Haskell Compiler License". In the spec file, the license tag is BSD. The license text matches BSD 3 clause variant https://fedoraproject.org/wiki/Licensing/BSD#3ClauseBSD
Comment 3 Jens Petersen 2011-01-28 06:07:03 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 4 Narasimhan 2011-04-03 01:47:57 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-monads-tf.spec

http://narasim.fedorapeople.org/package_reviews/ghc-monads-tf-0.1.0.0-2.fc14.src.rpm

rpmlint  -i ghc-monads-tf.spec /home/narasimhan/rpmbuild/RPMS/i686/ghc-monads-tf-*.rpm /home/narasimhan/rpmbuild/SRPMS/ghc-monads-tf-0.1.0.0-2.fc14.src.rpm
^C(none): E: interrupted, exiting while reading /home/narasimhan/Desktop/packaging_work/ghc-monads-tf.spec
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
[narasimhan@localhost packaging_work]$ rpmlint  -i ghc-monads-tf.spec ~/rpmbuild/RPMS/i686/ghc-monads-tf-*.rpm ~/rpmbuild/SRPMS/ghc-monads-tf-0.1.0.0-2.fc14.src.rpm
ghc-monads-tf.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-devel.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: E: devel-dependency ghc-monads-tf-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-monads-tf-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/monads-tf-0.1.0.0/libHSmonads-tf-0.1.0.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-monads-tf.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-tf.src: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

4 packages and 1 specfiles checked; 1 errors, 33 warnings.
Comment 5 Jens Petersen 2011-09-21 12:21:45 EDT
33 reverse deps: http://packdeps.haskellers.com/reverse/monads-tf
Comment 6 Jens Petersen 2013-06-24 06:24:40 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.